<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.delicious.DeliciousCommodityIdxMapper">
    <resultMap id="BaseResultMap" type="shop.alien.entity.delicious.DeliciousCommodityIdx">
        <!--@mbggenerated-->
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="category" property="category" jdbcType="VARCHAR"/>
        <result column="commodity_id" property="commodityId" jdbcType="INTEGER"/>
        <result column="table_name" property="tableName" jdbcType="VARCHAR"/>
        <result column="created_time" property="createdTime" jdbcType="TIMESTAMP"/>
        <result column="store_id" property="storeId" jdbcType="VARCHAR"/>
        <result column="status" property="status" jdbcType="INTEGER"/>
        <result column="updated_time" property="updatedTime" jdbcType="TIMESTAMP"/>
        <result column="commodity_type" property="commodityType" jdbcType="VARCHAR"/>
        <result column="created_user_id" property="createdUserId" jdbcType="INTEGER"/>
        <result column="updated_user_id" property="updatedUserId" jdbcType="INTEGER"/>
        <result column="delete_flag" property="deleteFlag" jdbcType="TINYINT"/>
    </resultMap>
</mapper>

